<?php
include "../../inc/inc.koneksi.php";
session_start();

$table	="jurpsb";

$kode	=$_POST[kode];
$tanggal=$_POST[tanggal];
$kodetk =$_POST[kodetk];
$kodest =$_POST[kodest];
$jmlunit=$_POST[jmlunit];
$satuan =$_POST[satuan];
$harga  =$_POST[harga];
$jumlahasl=$_POST[jumlahasl];
$user	=$_SESSION[namauser];

$sql  = mysql_query("SELECT kode_ps,kode_tk,no_urut FROM $table WHERE kode_ps='$kode' AND kode_tk='$kodetk' GROUP BY kode_ps ");
$r    = mysql_fetch_assoc($sql);
$nourut=$r[no_urut];

mysql_query("UPDATE $table set jml_unit='$jmlunit',satuan='$satuan',harga='$harga',jumlah_asl='$jumlahasl' WHERE kode_ps='$kode' AND kode_tk='$kodetk' AND no_urut='$nourut'");

$sql	= mysql_query("SELECT * FROM stock WHERE kode_st='$kodest'");
$r		= mysql_fetch_assoc($sql);
$jstok	= $r[jml_stok]-$jmlunit;
	
mysql_query("UPDATE stock SET jml_stok='$jstok' WHERE kode_st='$kodest'");
mysql_query("INSERT INTO rekap_mbr (kode_tr,jurnal,tanggal,kode_tk,no_bukti,kode_st,keterangan,keluar,harga,user) VALUES('$kode','PSB','$tanggal','$kodetk','$kode','$kodest','Perubahan status barang','$jmlunit','$harga','$user')");

$sql  = mysql_query("SELECT * FROM $table WHERE kode_ps='$kode' AND kode_tk='$kodetk' ORDER BY no_urut ");
while($r=mysql_fetch_array($sql)){
	$nourut=$r[no_urut];
	$kodest1=$r[kode_st1];
	$jmlunit1=$r[jml_unit1];
	$harga1=$r[harga1];
	
	$sql1 = mysql_query("SELECT * FROM stock WHERE kode_st='$kodest1'");
	$r1	  = mysql_fetch_assoc($sql1);
	$jstok= $r1[jml_stok]+$jmlunit1;
	mysql_query("UPDATE stock SET jml_stok='$jstok' WHERE kode_st='$kodest1'");
	mysql_query("INSERT INTO rekap_mbr (kode_tr,jurnal,tanggal,kode_tk,no_bukti,no_urut,kode_st,keterangan,masuk,harga,user) VALUES('$kode','PSB','$tanggal','$kodetk','$kode','$nourut','$kodest1','Perubahan status dari $kodest','$jmlunit1','$harga1','$user')");
}

mysql_query("UPDATE $table SET posting='P' WHERE kode_ps='$kode' AND kode_tk='$kodetk'");
?>